function [cpe, auc] = eval_data (res, gt, trackers)

cpe = [];
auc = [];

for vid = 1:size(res,1)
    frames = res{vid,1}.seq_len;
    g = gt{vid};
    for tr = 1:size(res,2)
        if (~strcmp(res{vid,tr}.type,'rect'))
            s(tr,:) = zeros(1,frames);
            cpe(tr,:) = zeros(1,frames);
            
        else
            r = int32(res{vid,tr}.res);
            for fr = 1:size(g,1)

                %overlap score
                box_intersect   = rectint(g(fr,:),r(fr,:));
                box_union       = g(fr,3)*g(fr,4) + r(fr,3)*r(fr,4) - box_intersect;
                overlap_norm = double(box_intersect)/double(box_union);
                s(tr,fr) = overlap_norm;


                % distance
                dx = double(g(fr,1)-r(fr,1)) + 0.5*double(g(fr,3)-r(fr,3));
                dy = double(g(fr,2)-r(fr,2)) + 0.5*double(g(fr,4)-r(fr,4));
                d = sqrt(dx*dx + dy*dy);
                cpe(tr,fr) = d;
            end 
            
            for to = 0:0.01:1
                spl(tr,int32(to*100)+1) = sum(s(tr,:)>to);
            end
        end
        
        
    end

    
    
end

disp('')